Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160863 (no-VMEbus-support) - No VMEbus support; Installer crashes with hex dump and "Badness in panic" error
Summary: No VMEbus support; Installer crashes with hex dump and "Badness in panic" error
Keywords:
Status: CLOSED CANTFIX
Alias: no-VMEbus-support
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: FC4 Installer crashes; Pentium III SB...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 20:57 UTC by Shaun Andrew
Modified: 2015-01-04 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 05:53:28 UTC


Attachments (Terms of Use)

Description Shaun Andrew 2005-06-17 20:57:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
FC4 cannot install on systems with VMEbus.  Must be a problem with PCI-to-VME bridge. (???)

System Description:  VME system with Intel Pentium III Single Board Computer (SBC) SBC is VMIVME-7750 w/512MB system memory.

FC2 installs on this VME system PERFECTLY.

FC3 cannot install in graphics mode on this VME system.

FC4 crashes and hangs within 2 seconds of start and delivers a hex dump with the following message:
"Badness in panic at kernel/panic.c:119 (Not tainted)"
... apparently FC4 install is so bad with a VMEbus it has trouble "panicking"

SEE the trend......

PLEASE restore VMEbus support!



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot from FC4 distro CD.
2. install FC4 using any mode.
3. 
  

Actual Results:  Install crashes within 2 seconds ... gives hex dump and "Badness in panic" error

Expected Results:  Should have been able to install FC4 in graphics mode.  (FC2 installs PERFECTLY.)

Additional info:

FC2 installs PERFECTLY
FC3 cannot install in graphics mode, will install in text mode.
FC4 install crashes with hex dump

Fedora development is ignoring VMEbus requirements.

Comment 1 Dave Jones 2005-06-21 17:12:16 UTC
the 'hex dump' is useful to debug this (along with any other information that
gets printed out).

There isn't actually any VME support to 'restore'. I don't think we even have
drivers for such devices.


Comment 2 Dave Jones 2005-07-15 21:53:36 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.



Note You need to log in before you can comment on or make changes to this bug.